<?php
namespace Claromentis\Projects;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_fa104b8749a18eca44" . "802f5959c9a6f8" => base64_decode("Tm8gc3RhdHVzI" . "HdpdGggSUQg"));
use Claromentis\Core\Application;
use Claromentis\Projects\Entity\TaskStatus;
use Claromentis\Projects\Repository\TaskStatusRepository;
class TaskStatusParameter
{
    public static function getConverter(Application $_6eb6fcb92c942851e079f8ec5fb80324)
    {
        return function (int $_d0f9ef06303d1f6bf2691bd0c491726d) use($_6eb6fcb92c942851e079f8ec5fb80324) : TaskStatus {
            
            
            static $repo;
            if (!isset($repo)) {
                $repo = $_6eb6fcb92c942851e079f8ec5fb80324[TaskStatusRepository::class];
            }
            if ($_d0f9ef06303d1f6bf2691bd0c491726d === 0) {
                return $repo->newInstance();
            }
            $status = $repo->find($_d0f9ef06303d1f6bf2691bd0c491726d);
            if (!$status) {
                throw new \RestExNotFound($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_fa104b8749a18eca44802" . "f5959c9a6f8"] . $_d0f9ef06303d1f6bf2691bd0c491726d);
            }
            return $status;
        };
    }
}